Bug 1265286 - [abrt] setroubleshoot-server: avtab_state_next(): python2.7 killed by SIGSEGV
[abrt] setroubleshoot-server: avtab_state_next(): python2.7 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:06e7ac734d77e20dd8ade6cef4b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 10:51 EDT by Vinicius Neto
Modified: 2015-12-02 13:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:25:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.47 KB, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details
File: cgroup (188 bytes, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details
File: core_backtrace (10.90 KB, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details
File: dso_list (4.13 KB, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details
File: environ (92 bytes, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details
File: exploitable (127 bytes, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details
File: maps (19.94 KB, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details
File: open_fds (397 bytes, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details
File: proc_pid_status (912 bytes, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details
File: var_log_messages (29 bytes, text/plain)
2015-09-22 10:51 EDT, Vinicius Neto
no flags Details

  None (edit)
Description Vinicius Neto 2015-09-22 10:51:24 EDT
Version-Release number of selected component:
setroubleshoot-server-3.2.20-3.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/python -Es /usr/sbin/setroubleshootd -f ''
crash_function: avtab_state_next
executable:     /usr/bin/python2.7
kernel:         3.17.4-301.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 avtab_state_next at iterator.c:304
 #1 qpol_policy_add_cond_rule_traceback at policy_extend.c:588
 #2 policy_extend at policy_extend.c:1117
 #3 qpol_policy_open_from_file_opt at policy.c:994
 #4 qpol_policy_open_from_file at policy.c:1099
 #5 apol_policy_create_from_policy_path at policy.c:98
 #6 wrap_policy at policy.c:76
 #7 call_function at /usr/src/debug/Python-2.7.8/Python/ceval.c:4110
 #8 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.8/Python/ceval.c:2753
 #9 fast_function at /usr/src/debug/Python-2.7.8/Python/ceval.c:4196

Potential duplicate: bug 1130601
Comment 1 Vinicius Neto 2015-09-22 10:51:29 EDT
Created attachment 1075865 [details]
File: backtrace
Comment 2 Vinicius Neto 2015-09-22 10:51:31 EDT
Created attachment 1075866 [details]
File: cgroup
Comment 3 Vinicius Neto 2015-09-22 10:51:33 EDT
Created attachment 1075867 [details]
File: core_backtrace
Comment 4 Vinicius Neto 2015-09-22 10:51:35 EDT
Created attachment 1075868 [details]
File: dso_list
Comment 5 Vinicius Neto 2015-09-22 10:51:36 EDT
Created attachment 1075869 [details]
File: environ
Comment 6 Vinicius Neto 2015-09-22 10:51:38 EDT
Created attachment 1075870 [details]
File: exploitable
Comment 7 Vinicius Neto 2015-09-22 10:51:39 EDT
Created attachment 1075871 [details]
File: limits
Comment 8 Vinicius Neto 2015-09-22 10:51:42 EDT
Created attachment 1075872 [details]
File: maps
Comment 9 Vinicius Neto 2015-09-22 10:51:43 EDT
Created attachment 1075873 [details]
File: open_fds
Comment 10 Vinicius Neto 2015-09-22 10:51:45 EDT
Created attachment 1075874 [details]
File: proc_pid_status
Comment 11 Vinicius Neto 2015-09-22 10:51:46 EDT
Created attachment 1075875 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-11-04 05:28:01 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-12-02 10:26:01 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.